Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 NPE Image ID Definition [IXP425 NPE-Downloader (IxNpeDl) API] Definition of NPE Image ID to be passed to ixNpeDlNpeInitAndStart() as input of type UINT32 which has the following fields format:. More...
## Defines
#define | IX_NPEDL_NPEIMAGE_FIELD_MASK
| Mask for NPE Image ID's Field.
#define | IX_NPEDL_NPEIMAGE_BIT_LOC_NPEID
| Location of NPE ID field in term of bit.
#define | IX_NPEDL_NPEIMAGE_BIT_LOC_FUNCTIONALITYID
| Location of Functionality ID field in term of bit.
#define | IX_NPEDL_NPEIMAGE_BIT_LOC_MAJOR
| Location of Major Release Number field in term of bit.
#define | IX_NPEDL_NPEIMAGE_BIT_LOC_MINOR
| Location of Minor Release Number field in term of bit.
#define | IX_NPEDL_NPEIMAGE_NPEA_HSS0
| NPE Image Id for NPE-A with HSS-0 Only feature. It supports 32 channelized and 4 packetized.
#define | IX_NPEDL_NPEIMAGE_NPEA_HSS0_ATM_SPHY_1_PORT
| NPE Image Id for NPE-A with HSS-0 and ATM feature. For HSS, it supports 16/32 channelized and 4/0 packetized. For ATM, it supports AAL5, AAL0 and OAM for UTOPIA SPHY, 1 logical port, 32 VCs. It also has Fast Path support.
#define | IX_NPEDL_NPEIMAGE_NPEA_HSS0_ATM_MPHY_1_PORT
| NPE Image Id for NPE-A with HSS-0 and ATM feature. For HSS, it supports 16/32 channelized and 4/0 packetized. For ATM, it supports AAL5, AAL0 and OAM for UTOPIA MPHY, 1 logical port, 32 VCs. It also has Fast Path support.
#define | IX_NPEDL_NPEIMAGE_NPEA_ATM_MPHY_12_PORT
| NPE Image Id for NPE-A with ATM-Only feature. It supports AAL5, AAL0 and OAM for UTOPIA MPHY, 12 logical ports, 32 VCs. It also has Fast Path support.
#define | IX_NPEDL_NPEIMAGE_NPEA_HSS_2_PORT
| NPE Image Id for NPE-A with HSS-0 and HSS-1 feature. Each HSS port supports 32 channelized and 4 packetized.
#define | IX_NPEDL_NPEIMAGE_NPEA_DMA
| NPE Image Id for NPE-A with DMA-Only feature.
#define | IX_NPEDL_NPEIMAGE_NPEA_WEP
| NPE Image Id for NPE-A with ARC4 and WEP CRC engines.
#define | IX_NPEDL_NPEIMAGE_NPEB_ETH
| NPE Image Id for NPE-B with Ethernet-Only feature.
#define | IX_NPEDL_NPEIMAGE_NPEB_ETH_FPATH
| NPE Image Id for NPE-B with Ethernet and Fast Path feature.
#define | IX_NPEDL_NPEIMAGE_NPEB_DMA
| NPE Image Id for NPE-B with DMA-Only feature.
#define | IX_NPEDL_NPEIMAGE_NPEC_ETH
| NPE Image Id for NPE-C with Eth-Only feature.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports DES, SHA-1, MD5.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports AES, DES, SHA-1, MD5.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports DES, SHA-1, MD5.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports AES, DES, SHA-1, MD5.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_CCM
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports AES, CCM, DES, SHA-1, MD5.
#define | IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_CCM_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports AES, CCM, DES, SHA-1, MD5. For Ethernet, MAC address learning disabled (but filtering is still enabled).
#define | IX_NPEDL_NPEIMAGE_NPEC_DMA
| NPE Image Id for NPE-C with DMA-Only feature.
## Detailed Description Definition of NPE Image ID to be passed to ixNpeDlNpeInitAndStart() as input of type UINT32 which has the following fields format:. Field [Bit Location] -------------------- NPE ID [31 - 24] NPE Functionality ID [23 - 16] Major Release Number [15 - 8] Minor Release Number [7 - 0] ## Define Documentation
#define IX_NPEDL_NPEIMAGE_BIT_LOC_FUNCTIONALITYID
| Location of Functionality ID field in term of bit. Warning: THIS #define HAS BEEN DEPRECATED AND SHOULD NOT BE USED. It will be removed in a future release. See ixNpeDlNpeInitAndStart for more information. Definition at line 152 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_BIT_LOC_MAJOR
| Location of Major Release Number field in term of bit. Warning: THIS #define HAS BEEN DEPRECATED AND SHOULD NOT BE USED. It will be removed in a future release. See ixNpeDlNpeInitAndStart for more information. Definition at line 163 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_BIT_LOC_MINOR
| Location of Minor Release Number field in term of bit. Warning: THIS #define HAS BEEN DEPRECATED AND SHOULD NOT BE USED. It will be removed in a future release. See ixNpeDlNpeInitAndStart for more information. Definition at line 174 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_BIT_LOC_NPEID
| Location of NPE ID field in term of bit. Warning: THIS #define HAS BEEN DEPRECATED AND SHOULD NOT BE USED. It will be removed in a future release. See ixNpeDlNpeInitAndStart for more information. Definition at line 141 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_FIELD_MASK
| Mask for NPE Image ID's Field. Warning: THIS #define HAS BEEN DEPRECATED AND SHOULD NOT BE USED. It will be removed in a future release. See ixNpeDlNpeInitAndStart for more information. Definition at line 130 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_ATM_MPHY_12_PORT
| NPE Image Id for NPE-A with ATM-Only feature. It supports AAL5, AAL0 and OAM for UTOPIA MPHY, 12 logical ports, 32 VCs. It also has Fast Path support. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 231 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_DMA
| NPE Image Id for NPE-A with DMA-Only feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 254 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_HSS0
| NPE Image Id for NPE-A with HSS-0 Only feature. It supports 32 channelized and 4 packetized. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 190 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_HSS0_ATM_MPHY_1_PORT
| NPE Image Id for NPE-A with HSS-0 and ATM feature. For HSS, it supports 16/32 channelized and 4/0 packetized. For ATM, it supports AAL5, AAL0 and OAM for UTOPIA MPHY, 1 logical port, 32 VCs. It also has Fast Path support. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 218 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_HSS0_ATM_SPHY_1_PORT
| NPE Image Id for NPE-A with HSS-0 and ATM feature. For HSS, it supports 16/32 channelized and 4/0 packetized. For ATM, it supports AAL5, AAL0 and OAM for UTOPIA SPHY, 1 logical port, 32 VCs. It also has Fast Path support. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 204 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_HSS_2_PORT
| NPE Image Id for NPE-A with HSS-0 and HSS-1 feature. Each HSS port supports 32 channelized and 4 packetized. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 243 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEA_WEP
| NPE Image Id for NPE-A with ARC4 and WEP CRC engines. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 265 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEB_DMA
| NPE Image Id for NPE-B with DMA-Only feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 303 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEB_ETH
| NPE Image Id for NPE-B with Ethernet-Only feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 281 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEB_ETH_FPATH
| NPE Image Id for NPE-B with Ethernet and Fast Path feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 292 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports DES, SHA-1, MD5. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 330 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports AES, DES, SHA-1, MD5. Note: This can only be used with the B0 silicon revision of the IXP425 This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 344 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_CCM
| NPE Image Id for NPE-C with Crypto-Only feature. For Crypto, it supports AES, CCM, DES, SHA-1, MD5. Note: This can only be used with the B0 silicon revision of the IXP425 This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 384 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_CCM_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports AES, CCM, DES, SHA-1, MD5. For Ethernet, MAC address learning disabled (but filtering is still enabled). Note: This can only be used with the B0 silicon revision of the IXP425 This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 400 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_AES_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports AES, DES, SHA-1, MD5. Note: This can only be used with the B0 silicon revision of the IXP425 This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 370 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_CRYPTO_ETH
| NPE Image Id for NPE-C with Crypto and Eth feature. For Crypto, it supports DES, SHA-1, MD5. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 356 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_DMA
| NPE Image Id for NPE-C with DMA-Only feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 411 of file IxNpeDl.h.
#define IX_NPEDL_NPEIMAGE_NPEC_ETH
| NPE Image Id for NPE-C with Eth-Only feature. This is intended for use as a parameter with any of the following functions: ixNpeDlNpeInitAndStart ixNpeDlCustomImageNpeInitAndStart Definition at line 318 of file IxNpeDl.h.
Automatically generated from sources. © Intel Corp. 2003